Subject: Re: [RFC] [PATCH 0/3] ioat: DMA engine support

From: Roland Dreier <[email-masked]>
Date: Thu, 08 Dec 2005 14:23:40 -0800

Kumar> I'm actually searching for any examples of drivers that
    Kumar> deal with the issues related to DMA'ng directly two and
    Kumar> from user space memory.

It's not quite the same story as what you're doing with DMA engines
inside the CPU, but you could look at drivers/infiniband, particularly
drivers/infiniband/core/uverbs_mem.c.  That handles pinning and
getting DMA addresses for user memory that will be used as a DMA
target in the future.

 - R.